### Method

# WebKit WebExtension get_action_icon

unstable since: 2.52

#### Declaration [src]

    GIcon*
    webkit_web_extension_get_action_icon (
      WebKitWebExtension* extension,
      gdouble width,
      gdouble height
    )

#### Description [src]

Returns the extension’s default action icon image for the specified size. This icon serves as a default and should be used to represent the extension in contexts like action sheets or toolbars prior to the extension being loaded into an extension context. Once the extension is loaded, use the `actionForTab:` API to get the tab-specific icon. The returned image will be the best match for the specified size that is available in the extension’s action icon set. If no matching icon is available, the method will fall back to the extension’s icon.

Available since: 2.52

#### Parameters

`width`

  Type: `gdouble`

  The width to use when looking up the icon.

`height`

  Type: `gdouble`

  The height to use when looking up the icon.

#### Return value

Type: `GIcon`

The icon image, or `NULL` if no icon could be loaded.

The returned data is owned by the instance.
The return value can be `NULL`.